> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Item

> Remove an item from a reservation.



## OpenAPI

````yaml /openapi/openapi_reservation.json delete /commerce/reservation/{reservationId}/items/{reservationItemId}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_RESERVATION">
                <h2>RESERVATIONS</h2>
                <p>The Reservation APIs are used to create and manage inventory reservations. This includes updating items and quantities, fulfillment methods, zip codes and pickup locations, and resetting
                    the expiration timer for a reservation. For more information, see the <a href="/pages/reserve-inventory-in-cart">Reservations feature guide</a>.
                </p>
            </div>
  title: Reservation Web
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/reservation/{reservationId}/items/{reservationItemId}:
    delete:
      tags:
        - Reservation
      summary: Remove Item
      description: Remove an item from a reservation.
      parameters:
        - in: path
          name: reservationId
          required: true
          schema:
            type: string
        - in: path
          name: reservationItemId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Reservati'
            text/json:
              schema:
                $ref: '#/components/schemas/Reservati'
            text/plain:
              schema:
                $ref: '#/components/schemas/Reservati'
          description: Success
components:
  schemas:
    Reservati:
      properties:
        auditInfo:
          $ref: '#/components/schemas/AuditInf'
        callOffOrderId:
          nullable: true
          type: string
        cartId:
          nullable: true
          type: string
        changeMessages:
          items:
            $ref: '#/components/schemas/ReservationWebAPIChangeMessage'
          nullable: true
          type: array
        consumptionHistory:
          items:
            $ref: '#/components/schemas/CallOffLineConsumpti'
          nullable: true
          type: array
        customerAccountId:
          format: int32
          nullable: true
          type: integer
        expirationDateTime:
          format: date-time
          nullable: true
          type: string
        fulfillmentInfo:
          $ref: '#/components/schemas/FulfillmentInf'
        id:
          nullable: true
          type: string
        items:
          items:
            $ref: '#/components/schemas/ReservationItem'
          nullable: true
          type: array
        orderId:
          nullable: true
          type: string
        orderNumber:
          format: int32
          nullable: true
          type: integer
        reservationType:
          nullable: true
          type: string
        siteId:
          format: int32
          nullable: true
          type: integer
        status:
          nullable: true
          type: string
        tenantId:
          format: int32
          nullable: true
          type: integer
        userId:
          nullable: true
          type: string
        zipCode:
          nullable: true
          type: string
      type: object
    AuditInf:
      properties:
        createdAt:
          format: date-time
          type: string
        createdBy:
          nullable: true
          type: string
        updatedAt:
          format: date-time
          nullable: true
          type: string
        updatedBy:
          nullable: true
          type: string
      type: object
    ReservationWebAPIChangeMessage:
      properties:
        appKey:
          nullable: true
          type: string
        appName:
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createDate:
          format: date-time
          type: string
        id:
          nullable: true
          type: string
        identifier:
          nullable: true
          type: string
        message:
          nullable: true
          type: string
        subject:
          nullable: true
          type: string
        subjectType:
          nullable: true
          type: string
        userId:
          nullable: true
          type: string
        verb:
          nullable: true
          type: string
      type: object
    CallOffLineConsumpti:
      properties:
        consumedAt:
          format: date-time
          type: string
        consumedBy:
          nullable: true
          type: string
        lineId:
          nullable: true
          type: string
        salesOrderId:
          nullable: true
          type: string
        salesOrderNumber:
          format: int32
          type: integer
      type: object
    FulfillmentInf:
      properties:
        fulfillmentContact:
          $ref: '#/components/schemas/CommerceRuntimeContact'
        isDestinationCommercial:
          nullable: true
          type: boolean
        itemLevelShippingMethod:
          nullable: true
          type: string
        shippingMethodCode:
          nullable: true
          type: string
        shippingMethodName:
          nullable: true
          type: string
      type: object
    ReservationItem:
      properties:
        allocationStatus:
          nullable: true
          type: string
        allocations:
          items:
            $ref: '#/components/schemas/Allocati'
          nullable: true
          type: array
        allowsBackOrder:
          type: boolean
        fulfillmentInfo:
          $ref: '#/components/schemas/FulfillmentInf'
        fulfillmentLocationCode:
          nullable: true
          type: string
        fulfillmentMethod:
          nullable: true
          type: string
        id:
          nullable: true
          type: string
        inventoryTags:
          items:
            $ref: '#/components/schemas/InventoryTags'
          nullable: true
          type: array
        lineId:
          format: int32
          type: integer
        orderItemId:
          nullable: true
          type: string
        product:
          $ref: '#/components/schemas/Produ'
        quantity:
          format: int32
          type: integer
        requestedShipDate:
          format: date-time
          nullable: true
          type: string
        shippingMethodCode:
          nullable: true
          type: string
        suggestions:
          items:
            $ref: '#/components/schemas/Suggesti'
          nullable: true
          type: array
        timeFenceDays:
          format: int32
          nullable: true
          type: integer
      type: object
    CommerceRuntimeContact:
      properties:
        address:
          $ref: '#/components/schemas/CommerceRuntimeAddress'
        companyOrOrganization:
          nullable: true
          type: string
        email:
          nullable: true
          type: string
        firstName:
          nullable: true
          type: string
        id:
          format: int32
          nullable: true
          type: integer
        lastNameOrSurname:
          nullable: true
          type: string
        middleNameOrInitial:
          nullable: true
          type: string
        phoneNumbers:
          $ref: '#/components/schemas/CommerceRuntimePhone'
      type: object
    Allocati:
      properties:
        allocationHistory:
          items:
            $ref: '#/components/schemas/AllocationEve'
          nullable: true
          type: array
        allocationId:
          format: int32
          nullable: true
          type: integer
        fulfillmentLocationCode:
          nullable: true
          type: string
        futureDate:
          format: date-time
          nullable: true
          type: string
        isStateChange:
          type: boolean
        itemId:
          nullable: true
          type: string
        productCode:
          nullable: true
          type: string
        quantity:
          format: int32
          type: integer
        transferLocationCode:
          nullable: true
          type: string
      type: object
    InventoryTags:
      properties:
        name:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
    Produ:
      properties:
        bundledProducts:
          items:
            $ref: '#/components/schemas/BundledProdu'
          nullable: true
          type: array
        condition:
          nullable: true
          type: string
        goodsType:
          nullable: true
          type: string
        isSplitExtrasInShipment:
          type: boolean
        isTaxable:
          nullable: true
          type: boolean
        measurements:
          $ref: '#/components/schemas/ReservationWebAPIPackageMeasurements'
        mfgPartNumber:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
        productCode:
          nullable: true
          type: string
        productType:
          nullable: true
          type: string
        productUsage:
          nullable: true
          type: string
        properties:
          items:
            $ref: '#/components/schemas/ReservationWebAPIProductProperty'
          nullable: true
          type: array
        serialNumber:
          nullable: true
          type: string
        sku:
          nullable: true
          type: string
        variationProductCode:
          nullable: true
          type: string
      type: object
    Suggesti:
      properties:
        futureDate:
          format: date-time
          nullable: true
          type: string
        locationCode:
          nullable: true
          type: string
        productCode:
          nullable: true
          type: string
        quantity:
          format: int32
          type: integer
        suggestionType:
          nullable: true
          type: string
      type: object
    CommerceRuntimeAddress:
      properties:
        address1:
          nullable: true
          type: string
        address2:
          nullable: true
          type: string
        address3:
          nullable: true
          type: string
        address4:
          nullable: true
          type: string
        addressType:
          nullable: true
          type: string
        cityOrTown:
          nullable: true
          type: string
        countryCode:
          nullable: true
          type: string
        isValidated:
          nullable: true
          type: boolean
        postalOrZipCode:
          nullable: true
          type: string
        stateOrProvince:
          nullable: true
          type: string
      type: object
    CommerceRuntimePhone:
      properties:
        home:
          nullable: true
          type: string
        mobile:
          nullable: true
          type: string
        work:
          nullable: true
          type: string
      type: object
    AllocationEve:
      properties:
        allocatedAt:
          format: date-time
          type: string
        deltaQuantity:
          format: int32
          type: integer
        runId:
          nullable: true
          type: string
      type: object
    BundledProdu:
      properties:
        goodsType:
          nullable: true
          type: string
        measurements:
          $ref: '#/components/schemas/ReservationWebAPIPackageMeasurements'
        name:
          nullable: true
          type: string
        optionAttributeFQN:
          nullable: true
          type: string
        optionValue:
          nullable: true
        productCode:
          nullable: true
          type: string
        quantity:
          format: int32
          type: integer
      type: object
    ReservationWebAPIPackageMeasurements:
      properties:
        height:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        length:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        weight:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        width:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
      type: object
    ReservationWebAPIProductProperty:
      properties:
        attributeFQN:
          nullable: true
          type: string
        values:
          items:
            $ref: '#/components/schemas/CommerceRuntimeProductPropertyValue'
          nullable: true
          type: array
      type: object
    CommerceRuntimeMeasurement:
      properties:
        unit:
          nullable: true
          type: string
        value:
          format: double
          nullable: true
          type: number
      type: object
    CommerceRuntimeProductPropertyValue:
      properties:
        stringValue:
          nullable: true
          type: string
        value:
          nullable: true
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````